#ifndef __CQEVENTDATA__

#define __CQEVENTDATA__
#include <rdma/rdma_verbs.h>

class RdmaEndpoint;

class CqEventData
{
public:
    uint64_t _wr_id;
    enum ibv_wc_opcode _opcode;
    uint32_t _byte_len;
    RdmaEndpoint *_endpoint;
    CqEventData(uint64_t wr_id, enum ibv_wc_opcode opcode, uint32_t byte_len, RdmaEndpoint *endpoint)
        : _wr_id(wr_id), _opcode(opcode), _byte_len(byte_len), _endpoint(endpoint)
    {
    }
};

#endif